<template>
 <div class="main" >

        <Header/>
        <div class="main_t">
            <div class="main_t_t">
                <i class="main_t_t_l">当前位置：首页 &gt;</i>
                <i>进入实验室人员</i>
            </div>
        </div>
        <div class="main_b">
            <!--查询条件-->
            <el-form :model="editForm" ref="editForm" class="form-box" :inline="true" style="margin:20px;">
                <el-form-item label="安全分类" prop="typeId" label-width="98px">
                    <el-select v-model="editForm.typeId" popper-class="select-big-data" placeholder="请选择安全分类">
                        <el-option
                                v-for="item in typeList"
                                :key="item.id"
                                :label="item.typeName"
                                :value="item.id">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="安全分级" prop="level" label-width="98px">
                    <el-select v-model="editForm.level" popper-class="select-big-data" placeholder="请选择安全分级">
                        <el-option
                                v-for="item in levelList"
                                :key="item.id"
                                :label="item.classifiedName"
                                :value="item.id">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label="实验室" prop="subjectId" label-width="98px">
                    <el-select v-model="editForm.subjectId" popper-class="select-big-data" placeholder="请选择实验室">
                        <el-option
                                v-for="item in labList"
                                :key="item.id"
                                :label="item.name"
                                :value="item.id">
                        </el-option>
                    </el-select>
                </el-form-item>
                <el-form-item label-width="0">
                    <el-button type="primary" @click.native.prevent="onSearch" native-type="submit">查询</el-button>
                    <el-button @click="resetForm('searchForm')">重置</el-button>
                </el-form-item>
            </el-form>
            <!--列表-->
            <el-table :data="tableData"  style="width: 100%"  height="750" :row-class-name="tableRowClassName">
                <el-table-column align="center" header-align='center' type="index" :index="indexMethod" label="序号" width="60"></el-table-column>
                <el-table-column align="center" header-align='center' prop="name" label="实验室"></el-table-column>
                <el-table-column align="center" header-align='center' prop="typeName" label="安全分类"></el-table-column>
                <el-table-column align="center" header-align='center' prop="classifiedName" label="安全分级"></el-table-column>
                <el-table-column align="center" header-align='center' prop="online" label="实验室人数"></el-table-column>
            </el-table>
            <el-pagination
                    style="margin-top: 14px"
                    background
                    @current-change="handleCurrentChange"
                    :page-sizes="[10, 20, 30, 40]"
                    :current-page.sync="editForm.pageNum"
                    :page-size="editForm.pageSize"
                    layout="total,prev, pager, next"
                    :total="totalNum">
            </el-pagination>
        </div>
    </div>
</template>

<script>
import {classifiedListAll, classtypeListAll, onlineByBigView, optionCharts,departmentsList,getSubjectDict} from "../api/http"

import $ from 'jquery'
import * as echarts from 'echarts'
import Header from '@/components/header.vue'
export default {
  components: {
    Header
  },
  data() {
    return {
      editForm:{
        deptLevel:'',//这个是登陆后，刘波给你的院校的类型
        groupDeptId:'',//院系id
        typeId:'',//安全分类id
        level:'',//安全分级id
        subjectId:'',//实验室类型
        pageNum:1,
        pageSize:10
      },
      subjectOptions:[],//院系
      typeList:[],//安全分类
      levelList:[],//安全分级
      labList:[],//实验室
      dateRange:[],//时间
      totalNum:0,
      tableData:[],

    }
  },
  methods: {
    back(){
      this.$router.push('/')
    },
    tableRowClassName({row, rowIndex}) {
      if (rowIndex%2 === 0) {
        return 'success-row';
      } else{

        return 'warning-row';
      }
      return '';
    },
    indexMethod(index) {
      return (this.editForm.pageNum - 1) * this.editForm.pageSize + index + 1;
    },
    //请求列表
    getAjaxList:function (){


      let _this=this;
      //列表
      let obj={
        'type':localStorage.getItem('deptLevel'),
        'groupDeptId':this.editForm.groupDeptId,
        'typeId':this.editForm.typeId,
        'level':this.editForm.level,
        'id':this.editForm.subjectId,
        'pageNum':this.editForm.pageNum,
        'pageSize':this.editForm.pageSize,
      }
      onlineByBigView(obj).then((res) =>{
        if(res.code==200){
          let data = res.rows;
          if(data && data.length>0){
            _this.tableData = data;
            _this.totalNum = parseInt(res.total);
          }else{
            _this.tableData = [];
            _this.totalNum = 0;
          }
        }
      })
    },
    getAjaxData: function () {
      let _this=this;
      //安全分级
      classifiedListAll({}).then((res) =>{
        if(res.code==200){
          let data=res.data;
          _this.levelList=data

        }
      })

      //安全分类
      classtypeListAll({}).then((res) =>{
        if(res.code==200){
          let data=res.data;
          _this.typeList=data

        }
      })

      //查询院系
      departmentsList().then((res) =>{
        if(res.code==200){
          let data=res.data;
          _this.subjectOptions=data
        }
      })
      //查询实验室
      getSubjectDict().then((res) =>{
        if(res.code==200){
          let data=res.data;
          _this.labList=data

        }
      })



    },
    /*查询*/
    onSearch() {

      this.editForm.pageNum =1;
      this.getAjaxList();
      this.getAjaxData();
    },
    /*重置*/
    resetForm(formName) {

      this.editForm.groupDeptId = "";
      this.editForm.typeId = "";
      this.editForm.level = "";
      this.editForm.subjectId = "";
      this.onSearch();
    },
    handleCurrentChange(val) {
      this.editForm.pageNum = val;
      this.getAjaxList();
    },
  },
  mounted() {
    this.getAjaxData()
    this.getAjaxList()
  },


}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>

@function rw($px){

  @return $px*100/1920 *1vw;
}
@function rh($px){

  @return $px*100/1080 *1vh;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
.main {
  width: rw(1920);
  height: rh(1080);
  /* background: url("../img/index_bg.png") no-repeat;
   background-size: 100% 100%;*/
  position: relative;
  left: 0;
  top: 0;
  z-index: 50;

  background: #062338;

  .header {
    width: 100%;
    position: absolute;
    left: rw(0);
    top: rh(0);
    z-index: 100;
    display: flex;
    justify-content: flex-start;

    .header_l {
      width: rw(182);
      height: rh(44);
      margin: rh(10) 0 0 rw(40);
    }
    .header_c {
      width: rw(1180);
      height: rh(152);
      margin-left: rw(136);
      background: url("~@/assets/image/index_icon2.png") no-repeat;
      background-size: 100% 100%;
      font-size: rh(30);
      font-family: Microsoft YaHei;
      font-weight: bold;
      color: #FFFFFF;
      line-height: rh(30);
      text-align: center;
      padding-top: rh(26);
    }
    .header_r {
      margin-left: rw(264);
      width: rw(82);
      height: rh(32);
      margin-top: rh(18);
    }
  }
  .main_t{
    width: rw(1852);
    position: absolute;
    left: rw(34);
    top: rh(86);
    z-index: 200;
    .main_t_t{
      margin: rh(20) 0 0 rw(18);
      >i{
        font-size: rh(16);
        font-family: Microsoft YaHei;
        font-weight: bold;
        color: #FFFFFF;
        line-height: rh(16);
      }
      >i:nth-of-type(1){

      }
      >i:nth-of-type(2){
        color: #1ED0F8;
      }
    }
  }
  .main_b{
    background: rgba(9, 55, 81, 0.6);
    padding: 0 rw(32);
    width: rw(1852);
    height: rh(920);
    position: absolute;
    left: rw(34);
    top: rh(138);
    z-index: 200;
  }
}
</style>
<style lang="scss">
li{list-style:none}
i,em,b{font-style:normal;font-weight:100;}
body{margin: 0}
</style>
